Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pdu::MetaData Struct Reference

PDU metadata. More...

## Public Attributes
Nameplate | nameplate
| Nameplate information
string | ctrlBoardSerial
| Main controller serial number.
string | hwRevision
| Hardware revision.
string | fwRevision
| Firmware revision.
string | macAddress
| MAC address.
boolean | hasSwitchableOutlets
| `true` if at least one outlet is switchable
boolean | hasMeteredOutlets
| `true` if at least one outlet is metered
boolean | hasLatchingOutletRelays
| `true` if at least one outlet has a latching relay
boolean | isInlineMeter
| `true` if all inlets have exactly one outlet
boolean | isEnergyPulseSupported
| `true` if the PDU has one or more LED(s) capable of emitting pulses to measure consumed energy
boolean | hasDCInlets
| `true` if at least one inlet is DC
PduOrientation | pduOrientation
| PDU orientation at boot.

## Detailed Description

PDU metadata.

The documentation for this struct was generated from the following file:

- Pdu.idl